> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suave.money/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payment Order



## OpenAPI

````yaml GET /api/v1/payment/{id}
openapi: 3.0.0
info:
  title: Suave API
  version: 0.0.1
servers:
  - url: https://checkout.suave.money
security: []
paths:
  /api/v1/payment/{id}:
    get:
      summary: Retrieves the details of a payment order.
      parameters:
        - name: id
          in: path
          description: Payment order ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A JSON object with payment order details
          content:
            application/json:
              schema:
                type: object
                properties:
                  payment_order_id:
                    type: string
                  payment_order_status:
                    type: string
                  env_mode:
                    type: string
                    enum:
                      - test
                      - live
                    example: live
                  success_callback_url:
                    type: string
                  cancel_callback_url:
                    type: string
                  failure_callback_url:
                    type: string
                  line_items:
                    type: array
                    items:
                      $ref: '#/components/schemas/LineItem'
                  order_price:
                    $ref: '#/components/schemas/OrderPrice'
                  transaction_hash:
                    type: string
                  metadata:
                    $ref: '#/components/schemas/Metadata'
components:
  schemas:
    LineItem:
      type: object
      properties:
        title:
          type: string
        description:
          type: string
        image_url:
          type: string
        quantity:
          type: integer
      required:
        - title
        - quantity
    OrderPrice:
      type: object
      properties:
        currency:
          type: string
        amount:
          type: integer
        decimals:
          type: integer
      required:
        - currency
        - amount
        - decimals
    Metadata:
      type: object
      additionalProperties: true

````